Package groovy.beans

# Class DefaultPropertyReader

java.lang.Object
groovy.beans.DefaultPropertyReader

All Implemented Interfaces:
  `PropertyReader`

public class DefaultPropertyReader extends Object implements PropertyReader

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PropertyReader`
  `INSTANCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultPropertyReader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `read(Object owner, String propertyName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final PropertyReader INSTANCE

- ## Constructor Details

  - ### DefaultPropertyReader

    public DefaultPropertyReader()

- ## Method Details

  - ### read

    public Object read(Object owner, String propertyName)
    Specified by:
      `read` in interface `PropertyReader`